Subject: Re: git and time

From: Andreas Ericsson <[email-masked]>
Date: Wed, 27 Sep 2006 10:42:52 +0200

Junio C Hamano wrote:
> Matthew L Foster <[email-masked]> writes:
> 
>>> PS Nit: Git doesn't work with changesets, it works with snapshots,
>>> building a directed graph of snapshots. Maybe that is the source of your
>>> confusion
>> It's true I don't know much about git, what is the difference
>> between a changeset and a snapshot?  Are you saying timestamps
>> should be tracked separately or tracked by an scm system built
>> on top of git? Does/should git care about the when of a
>> snapshot?
> 
> I do not know what Jeff meant by snapshot vs changeset, so I
> would not comment on this part.
> 

Me neither, but I've seen this distinction before on the mailing-list.

To my mind, a changeset is the patch that brings some form of data from 
one state (snapshot) to another. In this respect, git is certainly both 
snapshot- and changeset-based.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231